[@algorandfoundation/algokit-utils](../README.md) / [types/account](../modules/types_account.md) / TransactionSignerAccount

# Interface: TransactionSignerAccount

[types/account](../modules/types_account.md).TransactionSignerAccount

A wrapper around `TransactionSigner` that also has the sender address.

## Table of contents

### Properties

- [addr](types_account.TransactionSignerAccount.md#addr)
- [signer](types_account.TransactionSignerAccount.md#signer)

## Properties

### addr

• **addr**: `Readonly`\<`Address`\>

#### Defined in

[src/types/account.ts:119](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/account.ts#L119)

___

### signer

• **signer**: `TransactionSigner`

#### Defined in

[src/types/account.ts:120](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/account.ts#L120)
